Page MenuHomePhabricator

Delete gadolinium:/a/log/fundraising/
Closed, ResolvedPublic

Description

filename:*
what the file is for:fundraising
what is the sensitive data:raw logs
is it being updated:no
recommendations:Making sure fundraising is no longer using them, and then deleting them.

Event Timeline

kevinator assigned this task to Ottomata.
kevinator raised the priority of this task from to Medium.
kevinator updated the task description. (Show Details)
kevinator added a project: acl*sre-team.
kevinator added subscribers: mark, kevinator, QChris and 2 others.

Hey @Jgreen could you confirm that we have this covered elsewhere?

the only thing at /a/log/fundraising is the nfs mount from the netapp, which is still in use for log collection. the banner log collection pipeline has to be fully migrated before we delete/umount this.

Jgreen added a subtask: Restricted Task.Mar 13 2015, 2:20 PM
kevinator lowered the priority of this task from Medium to Low.Mar 18 2015, 1:34 AM

@Jgreen these are a really naive questions: does it still need to be mounted here? can we unmount it?

I just sent Jeff an email about this. I'm pretty sure these can be deleted, because fundraising logs are collected and rotated on erbium right now. I will wait for him to confirm.

Ah, I forgot that we'd moved collection to erbium. It's ok to unmount the netapp and delete the dirs here.

atgo set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 30 2015, 11:21 PM
Jgreen changed the status of subtask Restricted Task from Open to Stalled.Oct 5 2015, 6:11 PM
Jgreen closed subtask Restricted Task as Resolved.Nov 13 2015, 6:34 PM

According to https://phabricator.wikimedia.org/rOPUP6ce3f053b74cd1fe2525f4550a3f81753daa8277, gadolinium as well as erbium are now in a spare status. Unfortunately we haven't wiped these hosts yet and hence neither the umount has taken place, neither the deletion of the files. I 'll create tasks to wipe the 2 systems which will effectively do part of the above. That was the last blocker to fully remove the netapps from our infrastruture and reclaim the rack space they use.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJan 7 2016, 8:18 AM
akosiaris added a subscriber: Ottomata.

T123029 tracked the above. Now erbium, gadolinium are no longer active. The unmount has taken place and the netapp is getting ready for decomissioning. The data will get deleted in about a week or so (just a prudent waiting time).

akosiaris closed this task as Resolved.Jan 20 2016, 10:08 AM

Resolving this now, actually deletion is tracked in T118535

mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM
Dwisehaupt moved this task from Triage to Done on the fundraising-tech-ops board.Feb 13 2020, 9:54 PM